From 752f67f1982dd284a2a1f2e13ce3154a73a97a4b Mon Sep 17 00:00:00 2001
From: Akash Mehrotra <mehrotra.akash@gmail.com>
Date: Mon, 15 Aug 2011 13:27:11 +0530
Subject: [PATCH 11/13] LUA:add subtitle access

---
 share/lua/http/requests/README.txt      |    3 +++
 share/lua/intf/modules/httprequests.lua |    2 ++
 2 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/share/lua/http/requests/README.txt b/share/lua/http/requests/README.txt
index e2f99e4..68581b8 100644
--- a/share/lua/http/requests/README.txt
+++ b/share/lua/http/requests/README.txt
@@ -24,6 +24,9 @@ status.xml or status.json
 > add <mrl> to playlist:
   ?command=in_enqueue&input=<mrl>
 
+> add subtitle to currently playing file
+  ?command=addsubtitle&val=<path>
+
 > play playlist item <id>. If <id> is omitted, play last active item:
   ?command=pl_play&id=<id>
 
diff --git a/share/lua/intf/modules/httprequests.lua b/share/lua/intf/modules/httprequests.lua
index 9954a1c..f7bc055 100644
--- a/share/lua/intf/modules/httprequests.lua
+++ b/share/lua/intf/modules/httprequests.lua
@@ -86,6 +86,8 @@ processcommands = function ()
 	  vlc.msg.err( "</options>" )
 	  --]]
 	  vlc.playlist.add({{path=stripslashes(input),options=options}})
+	elseif command == "addsubtitle" then
+	  vlc.input.add_subtitle (stripslashes(val))
 	elseif command == "in_enqueue" then
 	  vlc.playlist.enqueue({{path=stripslashes(input),options=options}})
 	elseif command == "pl_play" then
-- 
1.7.4.1

